-   type: attribute_group
    mode: create
    identifier: hat
    names:
        eng-GB: Hat

-   type: attribute
    mode: create
    identifier: color
    attribute_type_identifier: selection
    attribute_group_identifier: hat
    names:
        eng-GB: Color
    options:
        choices:
            -  value: red
               label: 
                 "eng-GB": "Red"
            -  value: white
               label: 
                 "eng-GB": "White"
            -  value: black
               label: 
                 "eng-GB": "Black"

-   type: content_type
    mode: create
    metadata:
        identifier: hat
        mainTranslation: eng-GB
        contentTypeGroups:
            - product
        translations:
            eng-GB:
                name: Hat
    fields:
        -   identifier: name
            type: ezstring
            required: true
            translations:
                eng-GB:
                    name: Name
        -   identifier: specification
            type: ibexa_product_specification
            required: true
            translations:
                eng-GB:
                    name: Specification
            fieldSettings:
                attributes_definitions:
                    dimensions:
                        - { attributeDefinition: color, required: true, discriminator: true }

-   type: content
    mode: create
    metadata:
        contentType: hat
        mainTranslation: eng-GB
        creatorId: 14
        modificationDate: "2021-07-26T07:45:17+02:00"
        publicationDate: "2021-07-26T07:45:17+02:00"
        remoteId: "product_X"
        alwaysAvailable: true
        section: 1
    location:
        parentLocationId: 2
        parentLocationRemoteId: null
        locationRemoteId: "product_X"
        hidden: false
        sortField: 2
        sortOrder: 0
        priority: 0
    fields:
        -
            fieldDefIdentifier: name
            languageCode: eng-GB
            value: Product_X
        -   fieldDefIdentifier: specification
            languageCode: eng-GB
            value:
                code: 'product_x'
                attributes:
                    color: red
